/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.testbug.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.io.Serializable;

/**
 * Restful接口--资源详情--数据传输对象：缺陷关联表
 * <p>
 * createdate:  2021-10-13 14:02:59  <br>
 *
 * @author: maven-cctp-plugin  <br>
 * @since: 1.0 <br>
 */
@ApiModel(description = "缺陷关联表")
public class BugCorrelationLinkDetailDto implements Serializable {

    /**
     * 主键<br>
     */
    @ApiModelProperty("主键")
    @Size(max = 50, message="主键-id: 数据长度不能 > 50" )
    private String id;
    /**
     * 缺陷id<br>
     */
    @ApiModelProperty("缺陷id")
    @Size(max = 50, message = "缺陷id-bugId: 数据长度不能 > 50")
    private String bugId;
    /**
     * 关联id<br>
     */
    @ApiModelProperty("关联id")
    @Size(max = 50, message = "关联id-linkId: 数据长度不能 > 50")
    private String linkId;
    /**
     * 关联名<br>
     */
    @ApiModelProperty("关联名")
    @Size(max = 50, message = "关联名-linkName: 数据长度不能 > 50")
    private String linkName;
    /**
     * 关联类型：1.案例、2.执行、3.步骤<br>
     */
    @ApiModelProperty("关联类型：1.案例、2.执行、3.步骤")
    @Size(max = 2, message = "关联类型：1.案例、2.执行、3.步骤-linkType: 数据长度不能 > 2")
    private String linkType;
    /**
     * 版本号<br>
     */
    @ApiModelProperty("版本号")
    @Size(max = 50, message = "版本号-linkVersion: 数据长度不能 > 50")
    private String linkVersion;

    public String getLinkVersion() {
        return linkVersion;
    }

    public void setLinkVersion(String linkVersion) {
        this.linkVersion = linkVersion;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getLinkType() {
        return linkType;
    }

    public void setLinkType(String linkType) {
        this.linkType = linkType;
    }

    public String getBugId() {
        return bugId;
    }

    public void setBugId(String bugId) {
        this.bugId = bugId;
    }

    public String getLinkId() {
        return linkId;
    }

    public void setLinkId(String linkId) {
        this.linkId = linkId;
    }

    public String getLinkName() {
        return linkName;
    }

    public void setLinkName(String linkName) {
        this.linkName = linkName;
    }

    @Override
    public String toString() {
        return "BugCorrelationLinkDetailDto{" +
                "bugId='" + bugId + '\'' +
                ", linkId='" + linkId + '\'' +
                ", linkName='" + linkName + '\'' +
                ", linkType='" + linkType + '\'' +
                '}';
    }
}